package com.zd.laboratory.utils.word;

import com.deepoove.poi.data.PictureRenderData;
import com.deepoove.poi.data.RowRenderData;

import java.util.List;

/**
 * 2.隐患整改通知书模板
 * @author liubo
 */
public class Word2 {

    /**
     * 学院名称
     */
    private String dept_name;
    /**
     * 实验室名称
     */
    private String sub_name;
    /**
     * 检查年
     */
    private String check_year;
    /**
     * 检查月
     */
    private String check_month;
    /**
     * 检查日
     */
    private String check_day;
    /**
     * 编号
     */
    private String code;

    /**
     * 整改隐患数量
     */
    private String count;
    /**
     * 检查机构电子签章
     */
    private SignPictureRenderData check_dept_sign;
    /**
     * 检查机构
     */
    private String check_dept_name;
    /**
     * 当前年
     */
    private String now_year;
    /**
     * 当前月
     */
    private String now_month;
    /**
     * 当前日
     */
    private String now_day;
    /**
     * 检查房间号
     */
    private String check_room;
    /**
     * 检查完整时间
     */
    private String check_date;
    /**
     * 检查人员名称
     */
    private PictureRenderData check_nick_name;
    /**
     * 审核结果
     */
    private String check_result;

    public class Detail extends RowRenderData {
        /**
         * 序号
         */
        private String index = "";
        /**
         * 条款号 - 检查项编号
         */
        private String option_code;
        /**
         * 隐患描述
         */
        private String check_desc = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img1 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img2 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img3 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img4 = "";
        /**
         * 隐患图片 - 多个
         */
        private String check_img5 = "";

        public String getIndex() {
            return index;
        }

        public void setIndex(String index) {
            this.index = index;
        }

        public String getOption_code() {
            return option_code;
        }

        public void setOption_code(String option_code) {
            this.option_code = option_code;
        }

        public String getCheck_desc() {
            return check_desc;
        }

        public void setCheck_desc(String check_desc) {
            this.check_desc = check_desc;
        }

        public String getCheck_img1() {
            return check_img1;
        }

        public void setCheck_img1(String check_img1) {
            this.check_img1 = check_img1;
        }

        public String getCheck_img2() {
            return check_img2;
        }

        public void setCheck_img2(String check_img2) {
            this.check_img2 = check_img2;
        }

        public String getCheck_img3() {
            return check_img3;
        }

        public void setCheck_img3(String check_img3) {
            this.check_img3 = check_img3;
        }

        public String getCheck_img4() {
            return check_img4;
        }

        public void setCheck_img4(String check_img4) {
            this.check_img4 = check_img4;
        }

        public String getCheck_img5() {
            return check_img5;
        }

        public void setCheck_img5(String check_img5) {
            this.check_img5 = check_img5;
        }
    }

    public String getDept_name() {
        return dept_name;
    }

    public void setDept_name(String dept_name) {
        this.dept_name = dept_name;
    }

    public String getSub_name() {
        return sub_name;
    }

    public void setSub_name(String sub_name) {
        this.sub_name = sub_name;
    }

    public String getCheck_year() {
        return check_year;
    }

    public void setCheck_year(String check_year) {
        this.check_year = check_year;
    }

    public String getCheck_month() {
        return check_month;
    }

    public void setCheck_month(String check_month) {
        this.check_month = check_month;
    }

    public String getCheck_day() {
        return check_day;
    }

    public void setCheck_day(String check_day) {
        this.check_day = check_day;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getCheck_dept_name() {
        return check_dept_name;
    }

    public void setCheck_dept_name(String check_dept_name) {
        this.check_dept_name = check_dept_name;
    }

    public String getNow_year() {
        return now_year;
    }

    public void setNow_year(String now_year) {
        this.now_year = now_year;
    }

    public String getNow_month() {
        return now_month;
    }

    public void setNow_month(String now_month) {
        this.now_month = now_month;
    }

    public String getNow_day() {
        return now_day;
    }

    public void setNow_day(String now_day) {
        this.now_day = now_day;
    }

    public String getCheck_room() {
        return check_room;
    }

    public void setCheck_room(String check_room) {
        this.check_room = check_room;
    }

    public String getCheck_date() {
        return check_date;
    }

    public void setCheck_date(String check_date) {
        this.check_date = check_date;
    }

    public PictureRenderData getCheck_nick_name() {
        return check_nick_name;
    }

    public void setCheck_nick_name(PictureRenderData check_nick_name) {
        this.check_nick_name = check_nick_name;
    }

    public String getCheck_result() {
        return check_result;
    }

    public void setCheck_result(String check_result) {
        this.check_result = check_result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public SignPictureRenderData getCheck_dept_sign() {
        return check_dept_sign;
    }

    public void setCheck_dept_sign(SignPictureRenderData check_dept_sign) {
        this.check_dept_sign = check_dept_sign;
    }
}
